Subject: Re: odd RTL8139 quirk.

From: Jeff Garzik <[email-masked]>
Date: Tue, 29 Apr 2008 18:33:02 -0400

Dave Jones wrote:
> On Tue, Apr 29, 2008 at 06:19:46PM -0400, Jeff Garzik wrote:
>  > Dave Jones wrote:
>  > >>From a quick eyeball, that would seem that it still requires a choice
>  > > to be made whether or not to enable CONFIG_8139TOO_PIO
>  > > What I had in mind was to make that whole USE_IO_OPS ifdef
>  > > (and related bits) if (modparm==.. instead of #ifdefs.
>  > 
>  > 
>  > The patch is the requisite groundwork to add such a module param... 
>  > iomap support is required to enable runtime rather than compile-time 
>  > MMIO/PIO switching.
>  > 
>  > e100 does this with the 'use_io' module param.
> 
> Ah, in which case, I endorse this proposal heartily :)

Is that endorsement perchance accompanied by the time to resurrect the 
patch?  :)

Also, specifically with your hardware, one would hope we could figure 
out some automatic way for the driver to detect the hardware and 
configure it accordingly.

	Jeff